### Hierarchy

- NoelEventListenerManager

## Index

### Constructors

- constructor

### Properties

- event
- listener
- noel

### Methods

- remove
- replay

## Constructors

### constructor

- new NoelEventListenerManager(listener: NoelEventListener, event: NoelEvent, noel: NoelImp): NoelEventListenerManager

- - Defined in event-listener-manager.ts:10

  #### Parameters

  - ##### listener: NoelEventListener

  - ##### event: NoelEvent

  - ##### noel: NoelImp

  #### Returns NoelEventListenerManager

## Properties

### Private event

event: NoelEvent

- Defined in event-listener-manager.ts:11

### Private listener

listener: NoelEventListener

- Defined in event-listener-manager.ts:11

### Private noel

noel: NoelImp

- Defined in event-listener-manager.ts:11

## Methods

### remove

- remove(): void

- - Defined in event-listener-manager.ts:13

  #### Returns void

### replay

- replay(bufferSize: number): NoelEventListenerManager

- - Defined in event-listener-manager.ts:19

  #### Parameters

  - ##### bufferSize: number

  #### Returns NoelEventListenerManager

Generated using TypeDoc